--UPDATE_RAGE
function(e, ...)
	if e == "UPDATE_RAGE" then
		return true
	elseif e == "PLAYER_REGEN_DISABLED" then
		if not aura_env.ticker then aura_env.ticker = C_Timer.NewTicker(0.05, function() WeakAuras.ScanEvents("UPDATE_RAGE") end) end
	end
end

--DURATION
function()
	local rage, maxrage = UnitPower("player"), UnitPowerMax("player")
	WeakAurasSaved.CustomTrash.CustomRage = rage
	return rage, maxrage, 1
end

--DURATION2
--Other aura
function()
	local hs = IsCurrentSpell("Heroic Strike")
	local cleave = IsCurrentSpell("Cleave")
	if hs then return WeakAurasSaved.CustomTrash.CustomRage - 15, UnitPowerMax("player"), 1 elseif cleave then return WeakAurasSaved.CustomTrash.CustomRage - 20, UnitPowerMax("player"), 1 else return WeakAurasSaved.CustomTrash.CustomRage, UnitPowerMax("player"), 1 end
end

--TEXT
function()
	return WeakAurasSaved.CustomTrash.CustomRage
end

--INIT
if not WeakAurasSaved.CustomTrash then WeakAurasSaved.CustomTrash = {} end
if WeakAuras.IsOptionsOpen() and aura_env.ticker then
	aura_env.ticker:Cancel()
else 
	if not aura_env.ticker then aura_env.ticker = C_Timer.NewTicker(0.05, function() WeakAuras.ScanEvents("UPDATE_RAGE") end) end
end